function [gyro,acc,mag,temp]=vssp_ax_get2(vssp_data)
% Copyright (c) 2014,2018 Gerox http://www.gerox.com
vssp_data = vssp_data(25:end);
%double(vssp_data)
%vssp_data=[    12     0   138   194     2     0     0     0    64   252    10     1   147   255   255   255   133    10     0     0   216   251   255   255   100   251   255   255   204    18     0     0   148    17     0     0    64    31     0     0    43   255   255   255   155    14     0     0   254   251   255   255   112   250   255   255    80    17     0     0   184    42     0     0   112    31     0     0   219   255   255   255    99     9     0     0   217   253   255   255   140   251   255   255    72    17     0     0   132    32     0     0    80    31     0     0   114     0     0     0   244    11     0     0   184     0     0     0    60   250   255   255    88    18     0     0   104    12     0     0    64    31     0     0   199     0     0     0   228     6     0     0   235   254   255   255   212   250   255   255   224    17     0     0   208    26     0     0    64    31     0     0   221   255   255   255    21    10     0     0    12   252   255   255   232   251   255   255    68    18     0     0   224    39     0     0   112    31     0     0    17   255   255   255   127    11     0     0    14   251   255   255    36   250   255   255   212    17     0     0   204    23     0     0    64    31     0     0   227   254   255   255    34    13     0     0    85   253   255   255    84   249   255   255   144    17     0     0    24    20     0     0    64    31     0     0   182   254   255   255   195     7     0     0   242   254   255   255   200   252   255   255    48    18     0     0   168    33     0     0    64    31     0     0   137   255   255   255    93     9     0     0   102   255   255   255   172   250   255   255    72    18     0     0   112    30     0     0   112    31     0     0]
%pause
byte2 = 2.^(0:8:8);byte4 = 2.^(0:8:24);
header_length = sum(vssp_data(1 + (0:1)).*byte2); % 12 1:2(25:26) 
head_timestamps_ms = sum(vssp_data(1 + 2 + (0:3)).*byte4); % current_time1 3:6 (27:30)
sensor_bitfields = sum(vssp_data(1 + 6 + (2:3)).*byte2); % sensor bitfields
measured_datanum = double(vssp_data(1 + 6 + 4));
sensor_time_interval=double(vssp_data(1 + 6 + 5));
sens=zeros(1,10);
sens_val = zeros(measured_datanum,10);
%if(bitand(hex2dec('8000'),sensor_bitfields)) sens(1) = 1;end
%if(bitand(hex2dec('4000'),sensor_bitfields)) sens(2) = 1;end
%if(bitand(hex2dec('2000'),sensor_bitfields)) sens(3) = 1;end
%if(bitand(hex2dec('1000'),sensor_bitfields)) sens(4) = 1;end
%if(bitand(hex2dec('0800'),sensor_bitfields)) sens(5) = 1;end
%if(bitand(hex2dec('0400'),sensor_bitfields)) sens(6) = 1;end
%if(bitand(hex2dec('0200'),sensor_bitfields)) sens(7) = 1;end
%if(bitand(hex2dec('0100'),sensor_bitfields)) sens(8) = 1;end
%if(bitand(hex2dec('0080'),sensor_bitfields)) sens(9) = 1;end
%if(bitand(hex2dec('0040'),sensor_bitfields)) sens(10) = 1;end
if(bitand(32768,sensor_bitfields)) sens(1) = 1;end
if(bitand(16384,sensor_bitfields)) sens(2) = 1;end
if(bitand(8192,sensor_bitfields)) sens(3) = 1;end
if(bitand(4096,sensor_bitfields)) sens(4) = 1;end
if(bitand(2048,sensor_bitfields)) sens(5) = 1;end
if(bitand(1024,sensor_bitfields)) sens(6) = 1;end
if(bitand(512,sensor_bitfields)) sens(7) = 1;end
if(bitand(256,sensor_bitfields)) sens(8) = 1;end
if(bitand(128,sensor_bitfields)) sens(9) = 1;end
if(bitand(64,sensor_bitfields)) sens(10) = 1;end
cnt=0;
for ii = 1:measured_datanum
	for jj = find(sens)
%		sens_val(ii,jj) = sum(vssp_data(13 + (0:3) + cnt).*byte4) - (bitand(double(vssp_data(16 + cnt)),128) == 128) * 2^32;
		sens_val(ii,jj) = sum(vssp_data(13 + (0:1) + cnt).*byte2) - (bitand(double(vssp_data(14 + cnt)),128) == 128) * 2^16;
		cnt = cnt + 4;
	end
end
gyro = [];acc = [];mag = [];temp = [];
if(sens(1:3)) gyro = median(sens_val(:,1:3) / 131.0);end
if(sens(4:6)) acc = median(sens_val(:,4:6) / 16384.0);end
if(sens(7:9)) mag = sens_val(:,7:9);end
if(sens(10)) temp = median((sens_val(:,10) + 12412.0) / 340.0);end
