function [data,vssp_data,vssp_type,vssp_status,vssp_num]=vssp_get3(data)
% Copyright (c) 2014,2018 Gerox http://www.gerox.com
	vssp_ind = strfind(data,'VSSP');
	vssp_num = length(vssp_ind);
	vssp_data = char([]);vssp_type = 'none';vssp_status = 1;
	if(vssp_num < 2) return;end
	vssp_data = data(vssp_ind(1):(vssp_ind(2)-1));
	data = data(vssp_ind(2):end);
	if(length(vssp_data) < 16) 
		vssp_data = char([]);vssp_type = 'none';vssp_status = 1;
		return;
	end
%	vssp = vssp_data(1 + 0 + (0:3)); % 'VSSP' 1:4
	vssp_type = vssp_data(1 + 4 + (0:2)); % '_ro' 5:7
%	vssp_status = str2double(vssp_data(1 + 8 + (0:2))); % '000' 9:11  0.48    4542   15  vssp_
	vssp_status = sum((vssp_data(1 + 8 + (0:2)) - 48).*[100,10,1]);
	vssp_length = sum(vssp_data(1 + 14 + (0:1)).*2.^(0:8:8)); % from 496 to 792 15:16
	if(vssp_length ~= length(vssp_data)) 
		vssp_data = char([]);vssp_type = 'none';vssp_status = 1;
		return;
	end
%	vssp_recieved_time_ms = sum(vssp_data(1 + 16 + (0:3)).*2.^(0:8:24)); % always zero 17:20
%	vssp_send_time_ms = sum(vssp_data(1 + 20 + (0:3)).*2.^(0:8:24)); % current_time 21:24
	vssp_data = vssp_data(1:vssp_length);
end
